spa_dbus_methods Struct Reference
SPA » Support » DBus

## Data Fields

uint32_t | version
struct spa_dbus_connection *(* | get_connection )(void *object, enum spa_dbus_type type)
| Get a new connection wrapper for the given bus type. More...

## Field Documentation

## version

uint32_t spa_dbus_methods::version

## get_connection

struct spa_dbus_connection*(* spa_dbus_methods::get_connection) (void *object, enum spa_dbus_type type)

Get a new connection wrapper for the given bus type.

The connection wrapper is completely configured to operate in the main context of the handle that manages the spa_dbus interface.

Parameters

  dbus | the dbus manager
  type | the bus type to wrap
  error | location for the DBusError

Returns
  a new dbus connection wrapper or NULL on error

The documentation for this struct was generated from the following file:

- spa/support/dbus.h